{
    num: 358,
    accuracy: 100,
    basePower: 70,
    basePowerCallback(pokemon, target, move) {
        if (target.side === pokemon.side) {
            this.debug("Only 1 damage to ally");
            return 1;
        }
        if (target.status === "slp" || target.hasAbility("comatose")) {
            this.debug("BP doubled on sleeping target");
            return move.basePower * 2;
        }
        return move.basePower;
    },
    category: "Physical",
    isNonstandard: "Past",
    name: "Wake-Up Slap",
    pp: 10,
    priority: 0,
    flags: { contact: 1, protect: 1, mirror: 1, metronome: 1 },
    onHit(target, source) {
        if (target.side === source.side) {
            if (target.status === "slp") {
                target.cureStatus();
            }
        } else {
            if (target.status === "slp") {
                target.cureStatus();
            }
        }
    },
    secondary: null,
    target: "normal",
    type: "Fighting",
    contestType: "Tough"
}
